AutoCAD LT :: Drag Out Dashed Line From Point Which Can Be Snapped To Another Object
Dec 5, 2012
ACAD LT 2009, Win XP Lately a feature I am used to seeing has quit.Basically when you hover over a point of a line, a little cross mark appears and you can drag out a dashed line from that point which can be snapped to another object. Handy for finding perpendicular intersections. Whatever this is it no longer works. How do I get it back?
When I snap a point to an object, the point takes on the elevation of the object. I would rather the point's elevation stay as is.
-changing osnapz variable
-latest civil 3d service pack
A few weeks ago I did not have this problem but once my computer was switched to the company's global server and c3d was reinstalled the problem appeared. Furthermore (post switchover), when a colleage of mine prepared a simple test drawing with just a line and a point, he was able to snap to that line without the point changing elevation. When he sent that drawing to me and I tried snapping the point to the object, the same problem occured with the point taking the elevation of the line object. I suspect it is a system variable issue
Lets say there is a line across my screen and I want to draw another line snapped to it and 90 degrees to it. How? Without measuring the angle of the first line, which is not at zero or 90 degrees. In 12 years I've never known this
I would of thought that changing the justify location to an object would change its position when copy and paste...
i copy and paste ALLOT, when i do i utilize reference points so everything is uniform.. problem is not everything is the same size.. for example, if i have 2 lines in a text box verses one...
When i copy i want the object to be moved and snapped from the middle left, not bottom left... or the top right not the bottom left.
I must be missing something fundamental when trying to change a line from a solid line to a hidden or dashed line in Autocad 2000. I use the ltype command then load either Hidden, or dashed ISO,or both, and invariably the scale is way off in that I always end up with a still solid line, after using modify properties. After all that, every line I draw after that comes out dashed. Maybe I should fool with the layers? Is there a basic procedure I should follow here?
How shall I draw lines into a created surface using raw or full description of ascii file format(COGO)
for example in the imported file i have points to describe a road center line(CL),or edge of the road(ERD),breaklines(BRKL) and want lines represented by the descriptions to be drawed in the surface so that i can use the lines as guides in profiles design.I didn't want to use point number which are not serially ,and have tried to use point grouping without any success
How do I draw perpendicular from a line or object at a specific point? I know by holding shift and osnap perpendicular I can draw the line but I can not osnap to the exact point!
I imported a file from ai. as dxf. Now, I want to change Solid line into dashed line. I tried doing it with properties, checked its scale. But it is still not changing.
i have a bunch of sheets set up, and you can see a white rectangle with a shadow that i guess represents my page, and then in this page there's a dashed rectangle that i'm guessing has something to do with margins or something. i would like to turn this dashed rectangle off, if possible.
secondly, my sheets are set up for 11x17.. i was given a title block drawing to use. the title block was drawn in modelspace at 11x17. i copied it into the sheet and it seems to be the right size. there's an 11x17 rectangle that the titleblock sits in, and i'd like to line this up with the actual page (to make sure the titleblock is in the right spot).. however i can't seem to snap to the corners of the white page with the shadow.
I need to have hidden lines on a 3D object dashed. So basically I need all the lines but those lines that are at the back of a cube(wich are normaly hidden), they need to be dashed. See the attachment
In the attached drawing you'll see I am trying to print a wireframe view of a 3D object with hidden lines displayed as dashed...in paperspace with an MVIEW viewport. To achieve this, I created a custom visual style called "3D Wireframe with hidden lines" because AutoCAD Mechanical doesn't come with a view preset that will do that for some reason. Even though the viewport looks perfect in paperspace, and is set to print "as displayed", the drawing prints (and previews) with the dashed line as solid instead.
I know I could use VIEWBASE to create a drawing view with hidden lines set to "visible and hidden", but that doesn't mean I don't want to know why AutoCAD is doing this strange behavior with standard viewports.
Why the dashed line (view area) changes on a page layout between plotting to pdf and plotting dwg to pdf? I have a title block that measures 16.25 x 10.25 that will print fine to pdf (for 17x 11). This same block will not print completely when using dwg to pdf.
In creating the page layout for pdf (only)the offset is .125 x .125. Once created, if I use this layout and then choose dwg to pdf as my plotter I do not have the ability to "fit to paper"
In creating the page layout for dwg to pdf the offset is .228 x .70. When bringing in the title block at 0,0 there is no way for this block to fit inside the dashed viewing line. The amount that this block extends beyond the top dashed line is way beyond what is available at the bottom.
I have drawn a site plan in model space at 1to1 scale. I try to draw hidden lines to show demolition. In paper space the scale is set to 1"=50" to fit on paper. But all the hidden lines plot solid. I had changed LTSCALE, PSLTSCALE, to 1. This problem keeps happening in most every thing I draw.
Any way to build or download a linetype that can display as a thick dashed line surrounded by 2 parallel lines on either side of it?
We use them to denote underground stormwater pipes in our survey models.
Currently I need to manually set each line to a polyline, give it a global width, and then draw a DLINE of the same width from endpoint to endpoint. The down side is that not only is it laborious, I also have to set the Z values to zero, so we lose the elevation feature of the pipe in the model.
Ideally it would need to have enough functionality to alter the spacing of the dashes, and the width of the line.
I would like to use the behaviour of "drag and drop" into AutoCad (from a listbox in a form) at a specific point, I do not need to drop anything into AutoCad, I just need the exact point of the mouseposition converted to WCS in autocad.
the below code works, but i do not get the correct point in AutoCad.
Private Sub ListBox1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListBox1.MouseDownDim ed As Editor = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor '---now i drop listbox-text in autocad, DoDragDrop(ListBox1.Text, DragDropEffects.Copy)Dim pt As Point3d = ed.PointToWorld(New Point(CInt(MousePosition.X), CInt(MousePosition.Y)))'---draw circleModelspaceAdd(Teken.Cirkel(pt(0), pt(1), 100))End Sub
(Maybe it is possible to just change the mouse-cursor, but it doesn't 'lock' the selected item in the listbox, as if it was dragged into the drawing.)
Imagine you have an image of a landscape, and you want to draw a dashed/dotted border line (such as between two countries) that goes far into the distance. Naturally, the dashes (and the spaces between them) will get smaller. The line probably isn't straight, either.
Imagine you have an image of a landscape, and you want to draw a dashed/dotted border line (such as between two countries) that goes far into the distance. Naturally, the dashes (and the spaces between them) will get smaller. The line probably isn't straight, either.
I know how to make a solid straight line using the pencil tool. I know I can create a shape with a border using stroke and select area. But...
How do you make a straight vertical dashed (dotted) line?
Something about paths and holding down the shift key, but that doesn't do anything, no line shows and it doesn't like "snap" to a vertical position.
I'm trying to make a dotted line to be line a guide line for cutting when you print the image out on paper. Like the perforated line on a movie ticket or boarding pass.